/** @file
 *
 * This library contains the defs for every exception used in fwRPC.
 *
 * @author Victor Rodrigues (CERN, BE-ICS-SDS)
 *
*/

const errClass fwRPC_EX_INVALID_PARAM = fwException_declare("EX.fwRPC.BAD_PARAM");

//pmon
const errClass fwRPC_EX_PMON_COMMAND = fwException_declare("EX.fwRPC.PMON.CMD");
const errClass fwRPC_EX_PMON_QUERY = fwException_declare("EX.fwRPC.PMON.QUERY");
const errClass fwRPC_EX_PMON_AUTH = fwException_declare("EX.fwRPC.PMON.AUTH");

//worker
const errClass fwRPC_EX_WORKER_SYNC = fwException_declare("EX.fwRPC.WORKER.SYNC");
const errClass fwRPC_EX_WORKER_JOBCOUNT = fwException_declare("EX.fwRPC.WORKER.JOBCOUNT");
const errClass fwRPC_EX_WORKER_LOCKCOUNT = fwException_declare("EX.fwRPC.WORKER.LOCKCOUNT");
const errClass fwRPC_EX_WORKER_LIBFILE = fwException_declare("EX.fwRPC.WORKER.LIBFILE");
const errClass fwRPC_EX_WORKER_EXECUTION = fwException_declare("EX.fwRPC.WORKER.EXECUTION");

//request
const errClass fwRPC_EX_REQUEST_ASSIGNED = fwException_declare("EX.fwRPC.REQUEST.ASSIGNED");
const errClass fwRPC_EX_REQUEST_SYNC = fwException_declare("EX.fwRPC.REQUEST.SYNC");

//function
const errClass fwRPC_EX_FUNCTION_EXISTS = fwException_declare("EX.fwRPC.FUNCTION.EXISTS");
const errClass fwRPC_EX_FUNCTION_SYNC = fwException_declare("EX.fwRPC.FUNCTION.SYNC");

//client
const errClass fwRPC_EX_CLIENT_CALLBACK = fwException_declare("EX.fwRPC.CLIENT.CALLBACK");
const errClass fwRPC_EX_CLIENT_NOTSUBBED = fwException_declare("EX.fwRPC.CLIENT.NOTSUBBED");
const errClass fwRPC_EX_CLIENT_NOMONITOR = fwException_declare("EX.fwRPC.CLIENT_MONITOR.NOTRUNNING");
const errClass fwRPC_EX_CLIENT_MONITOR = fwException_declare("EX.fwRPC.CLIENT_MONITOR");


//msgclient
const errClass fwRPC_EX_MSGCLIENT_INVALID_NAME = fwException_declare("EX.fwRPC.MSGCLIENT.INVALID_NAME");
const errClass fwRPC_EX_MSGCLIENT_INVALID_TYPE = fwException_declare("EX.fwRPC.MSGCLIENT.INVALID_TYPE");


//broker module
const errClass fwRPC_EX_BROKER_STATE = fwException_declare("EX.fwRPC.BROKERMODULE.INVALID_STATE");

//core module
const errClass fwRPC_EX_CORE_INIT = fwException_declare("EX.fwRPC_CORE.INITIALISATION");

const errClass fwRPC_EX_RB_DISCONNECT = fwException_declare("EX.fwRPC_RINGBUFFER.DISCONNECT");
const errClass fwRPC_EX_RB_CONNECT = fwException_declare("EX.fwRPC_RINGBUFFER.CONNECT");
