#uses "fwRPC/fwRPC_msgBroker.ctl"
#uses "fwRPC/fwRPC_common.ctl"

private const string PP_MSG_TYPE = "pingpong_msg";

/**
 * Ping-pong message type delegate. 
 * Called upon detection of a pingpong_msg message.
 */
private void _pp_cb_pingpong_msg(
  string sender_project,
  string sender_name,
  anytype msg,
  string target_project,
  string target_client
) {
  DebugN("broker received: ", project, name, msg, target_project, target_client);
  fwRPC_msgBroker_writeMessage(
    target_project, target_client,
    PP_MSG_TYPE, msg,
    sender_project, sender_name);
}

int main() {
  fwRPC_msgBroker_initialize();

  fwRPC_msgBroker_accept(
    PP_MSG_TYPE,
    "_pp_cb_pingpong_msg",
    fwRPC_DIST_TAG_CLIENT
  );
  
  fwRPC_msgBroker_listen(true);
  
  return 0;
}
